Bug 10443 - Generated XF86Config works during install but fails after reboot.
Generated XF86Config works during install but fails after reboot.
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Mike A. Harris
Depends On:
  Show dependency treegraph
Reported: 2000-03-30 10:50 EST by Redvers Davies
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-02-06 17:58:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Redvers Davies 2000-03-30 10:50:11 EST

	On a Compaq Presario 1688, during an install - the X configuration goes
fine.  You accept the X installation and continue until it tells you to
reboot your new machine.

	You reboot, and the X displayed on the LCD is broken very badly to the
point where it looks like the timeing values are incorrect.  Re-running
Xconfigurator, xf86config doesn't produce a working config and XF86Setup is
even incapable of starting up in 800x600 or whatever it starts with with
the XF86_VGA16 server.

	The only difference between the running during the installation process
and after is that the kernel during the install DOES NOT have framebuffer
enabled, whereas the kernel provided after the reboot does.

	Re-compiling the kernel with framebuffer disabled allows the X server to
run flawlessly.

	Obviously I have the fix, but I thought it should be a fault that you
should be aware of.  This was for version 6.1.92.  Any queries, don't
hesitate to drop me an email.

Comment 1 Preston Brown 2000-08-29 14:15:43 EDT
do you still have problems with the X available in Pinstripe (Red Hat Linux
Comment 2 Redvers Davies 2000-08-30 03:41:14 EDT
I don't know as I don't have a download of the beta.  If the latest RedHat
(7beta) doesn't run framebuffer then i'm sure it will be fine.

If it does and you can tell me the kernel packed with the latest version I'll
compile a version up with framebuffer support and see if the problem was within
the kernel.

If you absolutely need a propper installation test, it will take me a few days
to backup the machine, download the iso image (over 64k link), burn the CD and
nuke the machine.

I would rather not rebuild the machine, but if it will be helpfull i'm happy to

(If you could get your London office to burn me a 7beta CD for me to pick-up or
deliever that would make things quicker).

Comment 3 Mike A. Harris 2000-12-05 02:38:36 EST
Is this glitch still a problem in the latest Red Hat distribution for you?

If so, what X Server are you using if 3.3.6?
If you're using XFree86 4.0.x, what driver is selected?

Please give me as much info as you can about your video card/ video
chipset, video modes that work/don't work, etc, and I'll see if I can find out
the current ststus of the chip support.
Comment 4 Mike A. Harris 2001-02-06 17:58:37 EST
Are you still having a problem with this?  Have you tried our latest
beta release - Fisher?  Also, you still haven't provided the hardware
details.  I can't look into the problem without the details.  You're
best off trying out our latest release though.  XFree86 4.0.2 has much
improved graphics adaptor support.
Comment 5 Bernhard Rosenkraenzer 2001-02-17 13:24:55 EST
Our kernel doesn't enable framebuffer support by default anymore; it's compiled
as modules instead, and activated only if you pass fb parameters and/or load the
module manually.

Note You need to log in before you can comment on or make changes to this bug.